"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.deleteThemes = exports.deleteTheme = exports.storeTheme = exports.changeTheme = void 0;

var _constants = require("./constants");

/**
 * Used to change the theme
 * @param theme
 * theme are identified with a key '_name'
 * OR it can be the name of theme stored in themes
 */
var changeTheme = function changeTheme(theme) {
  return {
    type: _constants.CHANGE_THEME,
    theme: theme
  };
};
/**
 * Add a new themes to the redux themes
 * theme are identified with a key '_name'
 * @param theme
 */


exports.changeTheme = changeTheme;

var storeTheme = function storeTheme(theme) {
  return {
    type: _constants.STORE_THEME,
    theme: theme
  };
};
/**
 * Remove an existing theme to the redux themes
 * theme are identified with a key '_name'
 * @param theme
 */


exports.storeTheme = storeTheme;

var deleteTheme = function deleteTheme(theme) {
  return {
    type: _constants.DELETE_THEME,
    theme: theme
  };
};
/**
 * Remove all stored themes
 * theme are identified with a key '_name'
 */


exports.deleteTheme = deleteTheme;

var deleteThemes = function deleteThemes() {
  return {
    type: _constants.DELETE_THEMES
  };
};

exports.deleteThemes = deleteThemes;