"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.mapDispatchToProps = exports.ThemeToggle = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRedux = require("react-redux");

var _Toggle = _interopRequireDefault(require("@bootstrap-styled/toggle/lib/components/Toggle"));

var _reselect = require("reselect");

var _actions = require("../../actions");

var _selectors = require("../selectors");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * ThemeToggle is used to display a select option to change theme
 * @constructor
 */
var ThemeToggle = function ThemeToggle(props) {
  return _react.default.createElement(_Toggle.default, props);
};

exports.ThemeToggle = ThemeToggle;
var mapStateToProps = (0, _reselect.createStructuredSelector)({
  value: _selectors.selectValue,
  values: _selectors.selectValues
});

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    onToggle: function onToggle(evt) {
      return dispatch((0, _actions.changeTheme)(evt.target.value));
    }
  };
};

exports.mapDispatchToProps = mapDispatchToProps;

var _default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(ThemeToggle);

exports.default = _default;