"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.initialState = void 0;

var _immutable = require("immutable");

var _theme = _interopRequireDefault(require("bootstrap-styled/lib/theme"));

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/* fix bs default name */
var initialState = (0, _immutable.fromJS)({
  theme: _theme.default,
  themes: _defineProperty({}, _theme.default._name, _theme.default) // eslint-disable-line no-underscore-dangle

});
/* eslint-disable no-underscore-dangle */

/**
 * themeReducer
 * @param state
 * @param action
 * @returns {*}
 */

exports.initialState = initialState;

var _default = function _default() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments.length > 1 ? arguments[1] : undefined;

  switch (action.type) {
    case _constants.CHANGE_THEME:
      {
        /** if a string name is used, it's obviously local */
        if (typeof action.theme === 'string') {
          return state.set('theme', state.getIn(['themes', action.theme]) || state.get('theme')); // this will fail silently if the theme does not exist
        }
        /** allow change by theme so extension can inject theme using this action */


        return state.set('theme', (0, _immutable.fromJS)(action.theme));
      }

    case _constants.STORE_THEME:
      {
        return state.setIn(['themes', action.theme._name], (0, _immutable.fromJS)(action.theme));
      }

    case _constants.DELETE_THEME:
      {
        return state.deleteIn(['themes', action.theme._name]);
      }

    case _constants.DELETE_THEMES:
      {
        return state.set('themes', (0, _immutable.fromJS)({}));
      }

    default:
      return state;
  }
};

exports.default = _default;