"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.selectValues = exports.selectValue = exports.selectTheme = exports.selectThemes = exports.selectBsRedux = void 0;

var _reselect = require("reselect");

var _constants = require("../constants");

var selectBsRedux = function selectBsRedux(state) {
  return state.get(_constants.REDUX_BS_KEY);
};
/**
 * themes
 */


exports.selectBsRedux = selectBsRedux;
var selectThemes = (0, _reselect.createSelector)(selectBsRedux, function (bsReduxState) {
  return bsReduxState.get('themes');
});
/**
 * theme
 */

exports.selectThemes = selectThemes;
var selectTheme = (0, _reselect.createSelector)(selectBsRedux, function (bsReduxState) {
  return bsReduxState.get('theme');
});
/**
 * current theme name
 */

exports.selectTheme = selectTheme;
var selectValue = (0, _reselect.createSelector)(selectBsRedux, function (bsReduxState) {
  return bsReduxState.getIn(['theme', '_name']);
} // eslint-disable-line no-underscore-dangle
);
/**
 * current available theme list
 */

exports.selectValue = selectValue;
var selectValues = (0, _reselect.createSelector)(selectBsRedux, function (bsReduxState) {
  return bsReduxState.get('themes').keySeq().toArray().map(function (t) {
    return t._name;
  });
} // eslint-disable-line no-underscore-dangle
);
exports.selectValues = selectValues;