"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.initialState = void 0;

var _theme = _interopRequireDefault(require("bootstrap-styled/lib/theme"));

var _constants = require("./constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/* fix bs default name */
var initialState = {
  theme: _theme.default,
  themes: _defineProperty({}, _theme.default._name, _theme.default) // eslint-disable-line no-underscore-dangle

};
/* eslint-disable no-underscore-dangle */

/**
 * themeReducer
 * @param state
 * @param action
 * @returns {*}
 */

exports.initialState = initialState;

var _default = function _default() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments.length > 1 ? arguments[1] : undefined;

  switch (action.type) {
    case _constants.CHANGE_THEME:
      {
        /** if a string name is used, it's obviously local */
        if (typeof action.theme === 'string') {
          return {
            themes: state.themes,
            theme: state.themes[action.theme] || state.theme
          }; // this will prevent false name
        }
        /** allow change by theme so extension can inject theme using this action */


        return {
          themes: _objectSpread({}, state.themes),
          theme: action.theme
        };
      }

    case _constants.STORE_THEME:
      {
        return {
          themes: _objectSpread({}, state.themes, _defineProperty({}, action.theme._name, action.theme)),
          theme: state.theme
        };
      }

    case _constants.DELETE_THEME:
      {
        var newState = _objectSpread({}, state);

        delete newState.themes[action.theme._name];
        return newState;
      }

    case _constants.DELETE_THEMES:
      {
        return _objectSpread({}, state, {
          themes: {}
        });
      }

    default:
      return state;
  }
};

exports.default = _default;